<%@ page import="jp.jasminesoft.jfc.IActionParameter,
                 jp.jasminesoft.jfc.CssPropertyManager"
         pageEncoding="UTF-8" errorPage="system/error.jsp" %>
<%@ taglib prefix="tiles2" uri="http://tiles.apache.org/tags-tiles" %>
<fmt:setLocale value="${sessionScope.__jfc_locale}" scope="request"/>
<fmt:setBundle basename="jfcapp"/>
<jfc:checkLogon/>
<!DOCTYPE html>
<tiles2:insertAttribute name="beandef"/>
<html xmlns:v="urn:schemas-microsoft-com:vml">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta charset="utf-8">
<link rel="SHORTCUT ICON" href="favicon.ico"> 
<link rel="stylesheet" type="text/css" href="css/nihilo.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<tiles2:insertAttribute name="title"/>
<style type="text/css">
  @import "<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dijit/themes/dijit.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>";
  @import "<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dijit/themes/nihilo/nihilo.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>";
  @import "css/common.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>";
  @import "css/nihilo.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>";
  @import "css/<c:out value='${sessionScope.__jfc_fontsizefilename}'/>.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>";
  @import "css/mycommon.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>";
  body {
    background: #FFFFFF;
    overflow: auto;
  }
</style>
<c:if test="${fn:length(__jfc_cssfilenameByModelId) > 0}">
<link rel="stylesheet" type="text/css" href="${__jfc_modelId}/${__jfc_cssfilenameByModelId}.css?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>">
</c:if>
<link rel="stylesheet" href="css/print.css" type="text/css" media="print" />
<style type="text/css">
<!--
${__jfc_csscontent}
-->
</style>
<style type="text/css">
  v\:*{
     behavior:url(#default#VML);
  }
</style>
<script type="text/javascript" src="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojo/dojo.js"></script>
<script type="text/javascript" src="system/common.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<script type="text/javascript">setLocale("<c:out value='${sessionScope.__jfc_browserLocale}'/>");</script>
<tiles2:insertAttribute name="javascript"/>
</head>
<body class="nihilo" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" style="padding: 10; margin: 0; border: 0;">
<div>
<tiles2:insertAttribute name="body"/>
</div>
<script type="text/javascript" >
require(["dojo/ready", "dojo/_base/unload"], function(ready, baseUnload) {
  ready(function() {
    for (i in Initializer.initList) {
      (Initializer.initList[i])();
    }
    // 都合の悪いタグを取り除く(子要素を生かす)
    rm_tags = ["a", "textarea"];
    for (idx in rm_tags) {
      elms = document.getElementsByTagName(rm_tags[idx]);
      for (i=elms.length-1; i>=0; i--) {
        p_node = elms[i].parentNode;
        inr = elms[i].innerHTML;
        p_node.removeChild(elms[i]);
        if (rm_tags[idx]=="textarea") {
          inr = inr.replace(/\r\n/g, "<br/>");
          inr = inr.replace(/(\n|\r)/g, "<br/>");
        }
        p_node.innerHTML += inr;
      }
    }
    // 都合の悪いタグを消す
    rm_tags = ["button", "input"];
    for (idx in rm_tags) {
      elms = document.getElementsByTagName(rm_tags[idx]);
      for (i=elms.length-1; i>=0; i--) {
        p_node = elms[i].parentNode;
        p_node.removeChild(elms[i]);
      }
    }
    // 印刷ダイアログを表示
    //window.print();
  });
  baseUnload.addOnUnload(function() {
    for (i in Initializer.finList) {
      (Initializer.finList[i])();
    }
  });
});
</script>
</body>
</html>
