<%--
 $Id: 4xx.jsp 16013 2018-11-30 00:02:21Z nie $
--%>
<%@ page import="jp.jasminesoft.jfc.IActionParameter,
                 jp.jasminesoft.jfc.controller.BaseController"
         pageEncoding="UTF-8" isErrorPage="true" %>
<c:set var="isMobileSafari" value="<%= BaseController.isMobileSafari(request) %>"/>
<c:set var="isFeaturePhone" value="<%= BaseController.isFeaturePhone(request) %>"/>
<fmt:setLocale value="${sessionScope.__jfc_locale}" scope="request"/>
<fmt:setBundle basename="jfcapp"/>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
<meta charset="utf-8"/>
<c:choose>
<c:when test="${isMobileSafari}">
<meta name="viewport" content="user-scalable=no; width=device-width; initial-scale=1.0; maximum-scale=1.0;">
<link rel="stylesheet" type="text/css" href="css/mobile.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>"/>
<link rel="stylesheet" type="text/css" href="css/mymobile.css?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>">
<script type="text/javascript" src="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojox/mobile/deviceTheme.js"></script>
<script type="text/javascript" src="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojo/dojo.js" data-dojo-config="async: true, parseOnLoad: true"></script>
<script type="text/javascript" src="system/common.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
</c:when>
<c:when test="${isFeaturePhone}">
<c:import url="/system/mobileBrowserCSS.jsp"/>
</c:when>
<c:otherwise>
<link rel="icon" href="favicon.ico" type="image/vnd.microsoft.icon">
<link rel="shortcut icon" href="favicon.ico" type="image/vnd.microsoft.icon">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dijit/themes/claro/claro.css">
<link rel="stylesheet" type="text/css" href="css/common.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/claro.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/remindPassword.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dijit/themes/dijit.css">
<link rel="apple-touch-icon" href="wagby-touch-icon.png">
<style type="text/css">
<!--
${__jfc_csscontent}
-->
</style>
<style type="text/css">
  v\:*{
     behavior:url(#default#VML);
  }
</style>
</c:otherwise>
</c:choose>
<title><fmt:message key="__jfc_common.title.httperror"/></title>
</head>
<c:choose>
<c:when test="${isMobileSafari}">
<body class="claro" style="visibility: hidden;">
<div data-dojo-type="dojox/mobile/ScrollableView" data-dojo-props="selected: true">
<h1 data-dojo-type="dojox/mobile/Heading" data-dojo-props="label: '<fmt:message key="__jfc_common.title.httperror"/>', fixed: 'top'">
<span id="jfcToolBarBtnMenu" data-dojo-type="dojox/mobile/ToolBarButton" data-dojo-props="arrow:'left', transition:'slide', transitionDir:-1, href:'mobileMenu.do', label: '<fmt:message key="__jfc_link.mobileMenu.button.Menu"/>'"></span>
</h1>
</c:when>
<c:when test="${isFeaturePhone}">
<body>
<div><fmt:message key='__jfc_common.webappname'/></div>
isMobileSafari:[<c:out value="${isMobileSafari}"/>]
isFeaturePhone:[<c:out value="${isFeaturePhone}"/>]
</c:when>
<c:otherwise>
<body class="claro" style="padding: 10px;">
<div id="appnameContainer">
  <div><fmt:message key='__jfc_common.webappname'/></div>
</div>
</c:otherwise>
</c:choose>

<div class="pagetitle"><fmt:message key="__jfc_common.title.httperror"/></div>
<div class="errormsg">
<c:set var="httpstatus" value="<%= response.getStatus() %>"/>
      <c:choose>
        <c:when test="${httpstatus == 400}">
          <fmt:message key="__jfc_common.text.error.message.URL"/>
        </c:when>
        <c:when test="${httpstatus == 401}">
          <fmt:message key="__jfc_common.text.error.message.permission"/>
        </c:when>
        <c:when test="${httpstatus == 403}">
          <fmt:message key="__jfc_common.text.error.message.forbid"/>
        </c:when>
        <c:when test="${httpstatus == 404}">
          <fmt:message key="__jfc_common.text.error.message.URL"/>
        </c:when>
        <c:otherwise>
          <fmt:message key="__jfc_common.text.copewith.contact"/>
        </c:otherwise>
      </c:choose>
</div>
<fmt:message key="__jfc_common.text.copewith.contact"/><br/>
<fmt:message key="__jfc_common.text.sorry.info"/>
<ol>
<li><fmt:message key="__jfc_common.text.sorry.where"/></li>
<li><fmt:message key="__jfc_common.text.sorry.what"/></li>
<li><fmt:message key="__jfc_common.text.sorry.who"/></li>
</ol>
<fmt:message key="__jfc_common.text.sorry.check"/>

<div align="center">
<c:choose>
<c:when test="${isMobileSafari}">
</div>
</c:when>
<c:when test="${isFeaturePhone}">
<form action="<jfc:AddSessionId action="featurePhoneMenu.do"/>">
  <input type="submit" class="whiteButton" value="<fmt:message key="__jfc_common.link.return.mainMenu"/>">
</form>
</c:when>
<c:otherwise>
[ <a href="mainMenu.do"><fmt:message key="__jfc_common.link.return.mainMenu"/></a> ]
</c:otherwise>
</c:choose>
</div>
</body>
</html>
