<%--
 $Id: error_license.jsp 16013 2018-11-30 00:02:21Z nie $
--%>
<%@ page import="jp.jasminesoft.jfc.IActionParameter,
                 jp.jasminesoft.jfc.controller.BaseController"
         pageEncoding="UTF-8" isErrorPage="true" %>
<c:set var="isMobileSafari" value="<%= BaseController.isMobileSafari(request) %>"/>
<c:set var="isFeaturePhone" value="<%= BaseController.isFeaturePhone(request) %>"/>
<fmt:setLocale value="${sessionScope.__jfc_locale}" scope="request"/>
<fmt:setBundle basename="jfcapp"/>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
<meta charset="utf-8"/>
<link rel="icon" href="favicon.ico" type="image/vnd.microsoft.icon">
<link rel="shortcut icon" href="favicon.ico" type="image/vnd.microsoft.icon">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dijit/themes/claro/claro.css">
<link rel="stylesheet" type="text/css" href="css/common.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/claro.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/remindPassword.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dijit/themes/dijit.css">
<link rel="apple-touch-icon" href="wagby-touch-icon.png">
<style type="text/css">
<!--
${__jfc_csscontent}
-->
</style>
<style type="text/css">
  v\:*{
     behavior:url(#default#VML);
  }
</style>

<c:if test="${isMobileSafari}">
<meta name="viewport" content="user-scalable=no; width=device-width; initial-scale=1.0; maximum-scale=1.0;">
<link rel="stylesheet" type="text/css" href="system/iui/iui.css"/>
<style type="text/css">
body {
  padding: 10px;
}
</style>
</c:if>
<c:if test="${isFeaturePhone}">
<c:import url="/system/mobileBrowserCSS.jsp"/>
</c:if>
<title><fmt:message key="__jfc_common.title.error_license"/></title>
</head>
<body class="claro" style="padding: 10px;">
<div id="appnameContainer">
  <div><fmt:message key='__jfc_common.webappname'/></div>
</div>
<div class="pagetitle"><fmt:message key="__jfc_common.headline.error_license"/></div>

<div>
<fmt:message key="__jfc_common.text.error_license"/>
<br><br>

<div align="center">
<relaxer:xslt name="__jfc_jfcerrors" xslUri="system/errormsg.xsl"/>
</div>
<br/>
<fmt:message key="__jfc_common.text.error_license.check"/>
</div>

<div align="center">
    <c:choose>
    <c:when test="${isMobileSafari}">
<form action="mobileSafariMenu.do">
  <input type="submit" class="whiteButton" value="<fmt:message key="__jfc_common.link.return.mainMenu"/>">
</form>
    </c:when>
    <c:when test="${isFeaturePhone}">
<form action="mobileMenu.do">
  <input type="submit" class="whiteButton" value="<fmt:message key="__jfc_common.link.return.mainMenu"/>">
</form>
    </c:when>
    <c:otherwise>
[ <a href="mainMenu.do"><fmt:message key="__jfc_common.link.return.mainMenu"/></a> ]
    </c:otherwise>
    </c:choose>

<br/><br/>

<hr size="0">

<%@ include file="/footer.html" %>
</div>

</body>
</html>
