<%--
 $Id: underConst.jsp 16013 2018-11-30 00:02:21Z nie $
--%>
<%@ page import="jp.jasminesoft.jfc.IActionParameter,
                 jp.jasminesoft.jfc.controller.BaseController"
         pageEncoding="UTF-8"%>
<c:set var="isMobileSafari" value="<%= BaseController.isMobileSafari(request) %>"/>
<c:set var="isFeaturePhone" value="<%= BaseController.isFeaturePhone(request) %>"/>
<fmt:setLocale value="${sessionScope.__jfc_locale}" scope="request"/>
<fmt:setBundle basename="jfcapp"/>
<jfc:ifLogon not="true">
<c:redirect url="/system/iflogonerror.jsp"/>
</jfc:ifLogon>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
<meta charset="utf-8"/>
<link rel="stylesheet" type="text/css" href="css/common.css">
<c:if test="${isMobileSafari}">
<meta name="viewport" content="user-scalable=no; width=device-width; initial-scale=1.0; maximum-scale=1.0;">
<link rel="stylesheet" type="text/css" href="system/iui/iui.css"/>
<style type="text/css">
body {
  padding: 10px;
}
</style>
</c:if>
<c:if test="${isFeaturePhone}">
<c:import url="/system/mobileBrowserCSS.jsp"/>
</c:if>
<title><fmt:message key="__jfc_common.title.underConst"/></title>
</head>
<body>
<div align="center">
<%@ include file="/parts/header.jsp" %>
</div>

<div align="right">
<table>
  <tr>
    <td align="center" valign="top">
    <c:choose>
    <c:when test="${isMobileSafari}">
      <form method="post" action="mobileSafariMenu.do">
    </c:when>
    <c:when test="${isFeaturePhone}">
      <form method="post" action="mobileMenu.do">
    </c:when>
    <c:otherwise>
      <form method="post" action="mainMenu.do">
    </c:otherwise>
    </c:choose>
        <input type="submit" name="action_Send" value="<fmt:message key="__jfc_common.submit.move.menu"/>"/>
      </form>
    </td>
    <td align="center" valign="top">
      <form method="post" action="logoff.do">
        <input type="submit" name="action_Send" value="<fmt:message key="__jfc_common.submit.logout"/>"/>
      </form>    
    </td>
  </tr>
</table>
</div>

<div align="center">

          <H1><fmt:message key="__jfc_common.headline.underCons"/></H1>
        
</div>

<div align="center">
<%@ include file="/footer.html" %>
</div>


</body>
</html>
